# Generated by Django 4.2.11 on 2024-07-08 18:42

from django.db import migrations, models
import django.db.models.deletion
import pgcrypto.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('perfil', '0004_alter_perfil_image'),
    ]

    operations = [
        migrations.CreateModel(
            name='Veterinario',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('crmv', pgcrypto.fields.IntegerPGPSymmetricKeyField()),
                ('cpf', pgcrypto.fields.IntegerPGPSymmetricKeyField(blank=True, null=True)),
                ('cnpj', pgcrypto.fields.IntegerPGPSymmetricKeyField(blank=True, null=True)),
                ('is_valid', models.BooleanField()),
                ('perfil_ref', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='perfil.perfil')),
            ],
        ),
    ]
